Index: .doxygen.conf
===================================================================
--- .doxygen.conf	(revision 3793)
+++ .doxygen.conf	(revision 3732)
@@ -6,5 +6,5 @@
 DOXYFILE_ENCODING      = UTF-8
 PROJECT_NAME           = Dotclear
-PROJECT_NUMBER         = 2.15
+PROJECT_NUMBER         = 2.14
 PROJECT_BRIEF          =
 PROJECT_LOGO           =
Index: admin/blog_theme.php
===================================================================
--- admin/blog_theme.php	(revision 3812)
+++ admin/blog_theme.php	(revision 3731)
@@ -20,6 +20,5 @@
     $core->themes,
     $core->blog->themes_path,
-    $core->blog->settings->system->store_theme_url,
-    !empty($_GET['nocache'])
+    $core->blog->settings->system->store_theme_url
 );
 adminThemesList::$distributed_modules = explode(',', DC_DISTRIB_THEMES);
@@ -106,10 +105,4 @@
 # -- Display modules lists --
 if ($core->auth->isSuperAdmin()) {
-
-    if (!$core->error->flag()) {
-        if (!empty($_GET['nocache'])) {
-            dcPage::success(__('Manual checking of themes update done successfully.'));
-        }
-    }
 
     # Updated modules from repo
@@ -141,10 +134,4 @@
 
             '</div>';
-    } else {
-        echo
-        '<form action="' . $list->getURL('', false) . '" method="get">' .
-        '<p><input type="hidden" name="nocache" value="1" />' .
-        '<input type="submit" value="' . __('Force checking update of themes') . '" /></p>' .
-            '</form>';
     }
 }
Index: admin/plugins.php
===================================================================
--- admin/plugins.php	(revision 3812)
+++ admin/plugins.php	(revision 3731)
@@ -16,6 +16,5 @@
     $core->plugins,
     DC_PLUGINS_ROOT,
-    $core->blog->settings->system->store_plugin_url,
-    !empty($_GET['nocache'])
+    $core->blog->settings->system->store_plugin_url
 );
 
@@ -116,10 +115,4 @@
 # -- Display modules lists --
 if ($core->auth->isSuperAdmin()) {
-
-    if (!$core->error->flag()) {
-        if (!empty($_GET['nocache'])) {
-            dcPage::success(__('Manual checking of plugins update done successfully.'));
-        }
-    }
 
     # Updated modules from repo
@@ -151,10 +144,4 @@
 
             '</div>';
-    } else {
-        echo
-        '<form action="' . $list->getURL('', false) . '" method="get">' .
-        '<p><input type="hidden" name="nocache" value="1" />' .
-        '<input type="submit" value="' . __('Force checking update of plugins') . '" /></p>' .
-            '</form>';
     }
 }
Index: admin/style/default-dark.css
===================================================================
--- admin/style/default-dark.css	(revision 3811)
+++ admin/style/default-dark.css	(revision 3787)
@@ -3167,6 +3167,5 @@
 
 .offline {
-  color: #86888c;
-  background: #323334; }
+  color: #86888c; }
 
 /* caché pour tout le monde */
Index: admin/style/default.css
===================================================================
--- admin/style/default.css	(revision 3811)
+++ admin/style/default.css	(revision 3787)
@@ -3167,6 +3167,5 @@
 
 .offline {
-  color: #676e78;
-  background: #f3f3f3; }
+  color: #676e78; }
 
 /* caché pour tout le monde */
Index: admin/style/scss/partials/_classes.scss
===================================================================
--- admin/style/scss/partials/_classes.scss	(revision 3811)
+++ admin/style/scss/partials/_classes.scss	(revision 3774)
@@ -333,5 +333,4 @@
 .offline {
 	color: $offline;
-  background: $offline-background;
 }
 
Index: admin/style/scss/themes/_dark.scss
===================================================================
--- admin/style/scss/themes/_dark.scss	(revision 3811)
+++ admin/style/scss/themes/_dark.scss	(revision 3780)
@@ -420,5 +420,4 @@
 
 $offline:                         $gray-semi-dark;
-$offline-background:              $gray-very-dark;
 
 $mark-attach-img:                 url('../images/attach.svg');
Index: admin/style/scss/themes/_light.scss
===================================================================
--- admin/style/scss/themes/_light.scss	(revision 3811)
+++ admin/style/scss/themes/_light.scss	(revision 3780)
@@ -419,5 +419,4 @@
 
 $offline:                         $gray-dark;                         // #676e78
-$offline-background:              $gray-very-light;                   // #f3f3f3
 
 $mark-attach-img:                 url('../images/attach.svg');
Index: inc/admin/lib.moduleslist.php
===================================================================
--- inc/admin/lib.moduleslist.php	(revision 3812)
+++ inc/admin/lib.moduleslist.php	(revision 3775)
@@ -54,13 +54,12 @@
      *
      * @param    object    $modules        dcModules instance
-     * @param    string    $modules_root   Modules root directories
+     * @param    string    $modules_root    Modules root directories
      * @param    string    $xml_url        URL of modules feed from repository
-     * @param    boolean   $force          Force query repository
-     */
-    public function __construct(dcModules $modules, $modules_root, $xml_url, $force = false)
+     */
+    public function __construct(dcModules $modules, $modules_root, $xml_url)
     {
         $this->core    = $modules->core;
         $this->modules = $modules;
-        $this->store   = new dcStore($modules, $xml_url, $force);
+        $this->store   = new dcStore($modules, $xml_url);
 
         $this->page_url = $this->core->adminurl->get('admin.plugins');
@@ -1469,11 +1468,10 @@
      *
      * @param    object    $modules        dcModules instance
-     * @param    string    $modules_root   Modules root directories
+     * @param    string    $modules_root    Modules root directories
      * @param    string    $xml_url        URL of modules feed from repository
-     * @param    boolean   $force          Force query repository
-     */
-    public function __construct(dcModules $modules, $modules_root, $xml_url, $force = false)
-    {
-        parent::__construct($modules, $modules_root, $xml_url, $force);
+     */
+    public function __construct(dcModules $modules, $modules_root, $xml_url)
+    {
+        parent::__construct($modules, $modules_root, $xml_url);
         $this->page_url = $this->core->adminurl->get('admin.blog.theme');
     }
Index: inc/core/class.dc.store.php
===================================================================
--- inc/core/class.dc.store.php	(revision 3812)
+++ inc/core/class.dc.store.php	(revision 3731)
@@ -38,7 +38,6 @@
      * @param    object    $modules        dcModules instance
      * @param    string    $xml_url        XML feed URL
-     * @param    boolean   $force          Force query repository
-     */
-    public function __construct(dcModules $modules, $xml_url, $force = false)
+     */
+    public function __construct(dcModules $modules, $xml_url)
     {
         $this->core       = $modules->core;
@@ -47,5 +46,5 @@
         $this->user_agent = sprintf('Dotclear/%s)', DC_VERSION);
 
-        $this->check($force);
+        $this->check();
     }
 
Index: inc/prepend.php
===================================================================
--- inc/prepend.php	(revision 3810)
+++ inc/prepend.php	(revision 3814)
@@ -103,5 +103,5 @@
 if (function_exists('stream_wrapper_unregister')) {
     $special_wrappers = array_intersect(array('http', 'https', 'ftp', 'ftps', 'ssh2.shell', 'ssh2.exec',
-        'ssh2.tunnel', 'ssh2.sftp', 'ssh2.scp', 'ogg', 'expect'), stream_get_wrappers());
+        'ssh2.tunnel', 'ssh2.sftp', 'ssh2.scp', 'ogg', 'expect', 'phar'), stream_get_wrappers());
     foreach ($special_wrappers as $p) {
         @stream_wrapper_unregister($p);
@@ -144,5 +144,5 @@
 # Constants
 define('DC_ROOT', path::real(dirname(__FILE__) . '/..'));
-define('DC_VERSION', '2.15-dev');
+define('DC_VERSION', '2.14.1');
 define('DC_DIGESTS', dirname(__FILE__) . '/digests');
 define('DC_L10N_ROOT', dirname(__FILE__) . '/../locales');
Index: locales/fr/main.po
===================================================================
--- locales/fr/main.po	(revision 3812)
+++ locales/fr/main.po	(revision 3795)
@@ -591,10 +591,4 @@
 msgstr "Mettre à jour les thèmes"
 
-msgid "Manual checking of themes update done successfully."
-msgstr "La vérification manuelle de mise à jour des thèmes a été effectuée."
-
-msgid "Force checking update of themes"
-msgstr "Forcer la vérification de mise à jour des thèmes"
-
 #, php-format
 msgid "There is one theme to update available from repository."
@@ -1788,10 +1782,4 @@
 msgstr "Mise à jour des plugins"
 
-msgid "Manual checking of plugins update done successfully."
-msgstr "La vérification manuelle de mise à jour des plugins a été effectuée."
-
-msgid "Force checking update of plugins"
-msgstr "Forcer la vérification de mise à jour des plugins"
-
 #, php-format
 msgid "There is one plugin to update available from repository."
Index: plugins/aboutConfig/index.php
===================================================================
--- plugins/aboutConfig/index.php	(revision 3813)
+++ plugins/aboutConfig/index.php	(revision 3731)
@@ -123,5 +123,5 @@
 '  <th>' . __('Value') . '</th>' . "\n" .
 '  <th>' . __('Type') . '</th>' . "\n" .
-'  <th>' . __('Description') . '</th>' . "\n" .
+'  <th class="maximalx">' . __('Description') . '</th>' . "\n" .
     '</tr>' . "\n" .
     '</thead>' . "\n" .
Index: plugins/userPref/index.php
===================================================================
--- plugins/userPref/index.php	(revision 3813)
+++ plugins/userPref/index.php	(revision 3731)
@@ -122,5 +122,5 @@
 '  <th>' . __('Value') . '</th>' . "\n" .
 '  <th>' . __('Type') . '</th>' . "\n" .
-'  <th>' . __('Description') . '</th>' . "\n" .
+'  <th class="maximalx">' . __('Description') . '</th>' . "\n" .
     '</tr>' . "\n" .
     '</thead>' . "\n" .
